/**
 * Le formateur qui écrit les résultats dans le format de
 * <strong>checkstyle</strong>.
 *
 * @see https://checkstyle.sourceforge.io/
 */
export default class CheckstyleFormatter extends Formatter {
    /**
     * Crée un formateur.
     *
     * @param {Level}          level            Le niveau de sévérité minimum
     *                                          des notifications affichées.
     * @param {Object}         options          Les options du formateur.
     * @param {WritableStream} [options.writer] Le flux où écrire les résultats.
     * @param {number}         [options.indent] La taille des indentations (en
     *                                          espace) ou <code>-1</code> (par
     *                                          défaut) pour ne pas mettre de
     *                                          retour à la ligne.
     */
    constructor(level: Level, options: {
        writer?: WritableStream;
        indent?: number;
    });
    #private;
}
export type WritableStream = NodeJS.WritableStream;
export type Level = import("../../type/index.js").Level;
export type Notice = import("../../type/index.js").Notice;
import Formatter from "./formatter.js";
