/**
 * @typedef {NodeJS.WritableStream} WritableStream
 * @typedef {import("../../type/index.js").Level} Level
 * @typedef {import("../../type/index.js").Notice} Notice
 */
/**
 * Le formateur qui écrit les résultats pour les Github Actions.
 *
 * @see https://docs.github.com/actions/using-workflows/workflow-commands-for-github-actions
 */
export default class GitHubFormatter extends Formatter {
    /**
     * Crée un formateur.
     *
     * @param {Level}          level            Le niveau de sévérité minimum
     *                                          des notifications affichées.
     * @param {Object}         options          Les options du formateur.
     * @param {WritableStream} [options.writer] Le flux où écrire les résultats.
     */
    constructor(level: Level, options: {
        writer?: WritableStream;
    });
    #private;
}
export type WritableStream = NodeJS.WritableStream;
export type Level = import("../../type/index.js").Level;
export type Notice = import("../../type/index.js").Notice;
import Formatter from "./formatter.js";
