/**
 * Vérifie (en appelant des linters) une liste de fichiers.
 *
 * @param {string[]}                 files    La liste des fichiers.
 * @param {FlattenedConfigChecker[]} checkers La liste des vérifications faites
 *                                            sur les fichiers.
 * @param {string}                   root     L'adresse du répertoire où se
 *                                            trouve le répertoire
 *                                            <code>.metalint/</code>.
 * @returns {Promise<Record<string, Notice[]|undefined>>} Une promesse
 *                                                        retournant la liste
 *                                                        des notifications
 *                                                        regroupées par
 *                                                        fichier.
 */
export default function metalint(files: string[], checkers: FlattenedConfigChecker[], root: string): Promise<Record<string, Notice[] | undefined>>;
export type FlattenedConfigChecker = import("../type/index.d.ts").FlattenedConfigChecker;
export type Notice = import("../type/index.d.ts").Notice;
